Bug 105632 - redhat-config-users crashs when you change name of root
Summary: redhat-config-users crashs when you change name of root
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-config-users (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 161339
TreeView+ depends on / blocked
 
Reported: 2003-09-26 05:38 UTC by Need Real Name
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-07 01:20:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-09-26 05:38:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030530

Description of problem:
If you try to change the username of "root" the program will crash. It locks up
and prints some errors to the terminal (if you ran it from there).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run "redhat-config-users" in a term
2. Unfilter the system users
3. Go to properties of "root"
4. Change the root username to any other name.
    

Actual Results:  Locks up, it does change the name of root but many other things
start to fail at that point.

Expected Results:  Not sure honestly, either it should work cleanly or not allow
it in the first place.

Additional info:

Comment 1 Brent Fox 2003-10-07 01:20:14 UTC
I've disabled the ability to change root's username.  Should be fixed in
redhat-config-users-1.2.2-1.


Note You need to log in before you can comment on or make changes to this bug.